Package: groovy.org.codenarc.rule.logging

## [Groovy] Class LoggerWithWrongModifiersRule

- groovy.org.codenarc.rule.logging.LoggerWithWrongModifiersRule

- Logger objects should be declared private, static and final. The exception is, when derived classes should use logger objects. Then they should be declared protected, non-static and final. This rule find loggers that are not declared with these modifiers.

  Authors:
    Hamlet D'Arcy
    René Scheibe

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `allowNonStaticLogger`
    `boolean` | `allowProtectedLogger`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### boolean allowNonStaticLogger

    - #### boolean allowProtectedLogger

    - #### Class astVisitorClass

    - #### String name

    - #### int priority